<?php

namespace App\Models\Enums;

use App\Models\Traits\BitmaskFunctionality;

enum StudyAccessFlags: int
{
    use BitmaskFunctionality;

    case None = 0;
    case ViewPatientInfo = 1;
    case ViewDicom = 1 << 1;
    case ViewReports = 1 << 2;
}
